# Gimp.Gradient.prototype.segment_range_redistribute_handles

    function segment_range_redistribute_handles(start_segment: Number(gint), end_segment: Number(gint)): Boolean {
        // Gjs wrapper for gimp_gradient_segment_range_redistribute_handles()
    }

Uniformly redistribute the segment range's handles

Redistributes the handles of the segment range of the gradient, so they'll be evenly spaced. A handle is where two segments meet. Segments will then have the same width. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

Returns

  TRUE on success.